Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.ReverseIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReverseIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.ReverseIterator
    extends LazyCollection.ReadOnlyIterator<E>

`LazyCollection.ReadOnlyIterator` that returns the values of the underlying collection in reverse order.

### Field Summary

Fields
`protected int` `index`

### Constructor Summary

Constructors
`ReverseIterator​(int lastIndex)` Creates a new `LazyCollection.ReverseIterator` for the underlying `List`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### index

    protected int index

### Constructor Detail

#### ReverseIterator

    public ReverseIterator​(int lastIndex)

Creates a new `LazyCollection.ReverseIterator` for the underlying `List`.

Parameters:
  `lastIndex` - the last index in the underlying list.

### Method Detail

#### hasNext

    public boolean hasNext()

#### next

    public E next()